Skip to main content
GET
/
blocked_dates
List blocked dates
curl --request GET \
  --url https://app.supercycle.com/api/v1/blocked_dates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "from": "2023-12-25",
      "resourceId": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "resource": {
        "id": 123,
        "title": "<string>",
        "formattedId": "<string>",
        "imageUrl": "<string>",
        "shopifyVariantId": 123,
        "shopifyProductId": 123
      },
      "description": "<string>",
      "to": "2023-12-25"
    }
  ],
  "nextPage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 50.

Required range: x <= 100
page
string

Cursor token to fetch next page of results.

resourceType
string

Filter by resource type. Comma-separated list of Item, Shopify::Variant, or Shopify::Product.

Example:

"Item,Shopify::Variant"

itemId
integer<int64>

Filter blocked dates for a specific item ID.

shopifyVariantId
integer<int64>

Filter blocked dates for a specific Shopify variant ID.

shopifyProductId
integer<int64>

Filter blocked dates for a specific Shopify product ID.

activeFrom
string<date>

Return blocked dates that end on or after this calendar date (YYYY-MM-DD), including open-ended blocks.

activeTo
string<date>

Return blocked dates that start on or before this calendar date (YYYY-MM-DD), including open-ended blocks.

Filter blocked dates by description text.

created
object

Filter blocked dates by created at datetime (ISO 8601), using gt, lt, gte, lte operators which may be combined.

updated
object

Filter blocked dates by when they were last updated (ISO 8601), using gt, lt, gte, lte; operators may be combined.

Response

A paged array of blocked dates

data
object[]
nextPage
null | string